Home Download Buy Blog Forum Support

Sublime-package error line

Sublime-package error line

Postby NoxArt on Sun Feb 09, 2014 1:36 pm

Hi, with ST2 error reporting was fine, there was an exact place of occurence, but what does line X in .sublime-package mean, since it's a .zip? Can I get find out which file and line it means? Thank you
NoxArt
 
Posts: 14
Joined: Mon Jan 30, 2012 9:05 pm

Re: Sublime-package error line

Postby skuroda on Sun Feb 09, 2014 7:37 pm

The plugins can be run directly from the *sublime-package" files. The error messages I have seen do tell you what file and line to check. This is from an issue on github, but the error states:

File "advanced_new_file.commands.git.git_command_base in C:\Users\mario\Documents\SublimeText3\Data\Installed Packages\AdvancedNewFile.sublime-package", line 34, in find_git

In the AdvancedNewFile package, I need to investigate "advanced_new_file/commands/git/git_command_base" at line 34. If you are simply looking for a better way to investigate the packaged files, take a look at https://github.com/skuroda/PackageResourceViewer
skuroda
 
Posts: 685
Joined: Fri Oct 05, 2012 8:11 am

Re: Sublime-package error line

Postby NoxArt on Tue Feb 11, 2014 2:36 pm

Oh, you're right, I totally missed that, thank you! (and for the link)
NoxArt
 
Posts: 14
Joined: Mon Jan 30, 2012 9:05 pm


Return to Plugin Development

Who is online

Users browsing this forum: No registered users and 10 guests